---
title: "List_numbers"
slug: "list-numbers"
updated: 2024-10-25T11:02:05Z
published: 2024-10-25T11:02:05Z
canonical: "docs.voiso.com/list-numbers"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiso.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List_numbers
Get/api/numbers/v1/numbers
Returns a list of phone numbers owned by the contact center.
Header parametersAuthorization: Bearer tokenstringRequired
The [Contact Center API key](https://developers.voiso.com/client/#/rest/getting-started/authentication/how-to-obtain-the-contact-center-key).
Query parameterspageinteger (int32)
Page number
Example1
Responses200
Success
example1
Numbers
All data pertaining to the phone number.
```json
{
"numbers": [
{
"number": "1234567890",
"created_at": "2023-07-24T03:50:21Z",
"label": "My number",
"country": "United States",
"city": "City",
"type": "geographic",
"provider": "Voiso",
"activation_fee": "2024-01-23",
"monthly_fee": "2.34",
"script": {
"flow": {
"id": "16510ca2-7386-4829-ac6d-7f7c38a276d0",
"name": "My Flow"
},
"cid_groups": [
{
"id": 2,
"name": "My CID Group"
}
]
}
}
],
"metadata": {
"total": 1,
"page": 1,
"page_size": 1
}
}
```
object
Array of phone numbers and their metadata.
Example{
"numbers": [
{
"number": "1234567890",
"created_at": "2023-07-24T03:50:21Z",
"label": "My number",
"country": "United States",
"city": "City",
"type": "geographic",
"provider": "Voiso",
"activation_fee": "2024-01-23",
"monthly_fee": "2.34",
"script": {
"flow": {
"id": "16510ca2-7386-4829-ac6d-7f7c38a276d0",
"name": "My Flow"
},
"cid_groups": [
{
"id": 2,
"name": "My CID Group"
}
]
}
}
],
"metadata": {
"total": 1,
"page": 1,
"page_size": 1
}
}
401
Unauthorized
example1
Error1
Invalid API key
```json
{
"error": "Invalid api_key"
}
```
Example{
"error": "Invalid api_key"
}
429
Too many requests
example1
Error1
API rate limit exceeded
```json
{
"error": "API rate limit exceeded"
}
```
Example{
"error": "API rate limit exceeded"
}